clear;

load kinITC_Q.mat

k_on=[];
for i=1:14
   % take estimated rates for i-th titration step
   L=transpose(reshape(Q14(:,:,i),7,7));
   
   % compute invariant subspace projection
   [u,v]=eig(L);
   [pi, one]=eigs(L',1,'lr'); pi=pi/sum(pi);
   [val ind]=max(abs(u(1,:)-u(7,:)));
   chi=cluster_by_isa([ones(7,1),u(:,ind)],2);
   Qc=inv(chi'*diag(pi)*chi)*(chi'*diag(pi)*L*chi);
   
   % extract binding rate k_on out of that projection
   k_on=[k_on, Qc(1,2)/con(i)];
end

%plot projected binding rates
plot(con, k_on)
